Package org.gradle.jvm.toolchain

## Class JvmVendorSpec

- java.lang.Object
- - org.gradle.jvm.toolchain.JvmVendorSpec

-     public abstract class JvmVendorSpec
      extends Object

  Represents a filter for a vendor of a Java Virtual Machine implementation.
  Since:
    6.8

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static JvmVendorSpec` | `ADOPTIUM` | A constant for using Eclipse Adoptium as the JVM vendor.
    `static JvmVendorSpec` | `ADOPTOPENJDK` |
    `static JvmVendorSpec` | `AMAZON` |
    `static JvmVendorSpec` | `APPLE` |
    `static JvmVendorSpec` | `AZUL` |
    `static JvmVendorSpec` | `BELLSOFT` |
    `static JvmVendorSpec` | `GRAAL_VM` | A constant for using GraalVM as the JVM vendor.
    `static JvmVendorSpec` | `HEWLETT_PACKARD` |
    `static JvmVendorSpec` | `IBM` |
    `static JvmVendorSpec` | `IBM_SEMERU` | A constant for using IBM Semeru Runtimes as the JVM vendor.
    `static JvmVendorSpec` | `MICROSOFT` | A constant for using Microsoft OpenJDK as the JVM vendor.
    `static JvmVendorSpec` | `ORACLE` |
    `static JvmVendorSpec` | `SAP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JvmVendorSpec()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JvmVendorSpec` | `matching​(String match)` | Returns a vendor spec that matches a VM by its vendor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADOPTIUM

          @Incubating
          public static final JvmVendorSpec ADOPTIUM

      A constant for using Eclipse Adoptium as the JVM vendor.
      Since:
        7.4

    - #### ADOPTOPENJDK

          public static final JvmVendorSpec ADOPTOPENJDK

    - #### AMAZON

          public static final JvmVendorSpec AMAZON

    - #### APPLE

          public static final JvmVendorSpec APPLE

    - #### AZUL

          public static final JvmVendorSpec AZUL

    - #### BELLSOFT

          public static final JvmVendorSpec BELLSOFT

    - #### GRAAL_VM

          @Incubating
          public static final JvmVendorSpec GRAAL_VM

      A constant for using GraalVM as the JVM vendor.
      Since:
        7.1

    - #### HEWLETT_PACKARD

          public static final JvmVendorSpec HEWLETT_PACKARD

    - #### IBM

          public static final JvmVendorSpec IBM

    - #### IBM_SEMERU

          @Incubating
          public static final JvmVendorSpec IBM_SEMERU

      A constant for using IBM Semeru Runtimes as the JVM vendor.
      Since:
        7.4

    - #### MICROSOFT

          @Incubating
          public static final JvmVendorSpec MICROSOFT

      A constant for using Microsoft OpenJDK as the JVM vendor.
      Since:
        7.3

    - #### ORACLE

          public static final JvmVendorSpec ORACLE

    - #### SAP

          public static final JvmVendorSpec SAP

  - ### Constructor Detail

    - #### JvmVendorSpec

          public JvmVendorSpec()

  - ### Method Detail

    - #### matching

          public static JvmVendorSpec matching​(String match)

      Returns a vendor spec that matches a VM by its vendor.

      A VM is determined eligible if the system property `java.vendor` contains the given match string. The comparison is done case-insensitive.

      Parameters:
        `match` - the sequence to search for
      Returns:
        a new filter object